Upgrading to AEM 6.5.2

Karl515 06-10-2019

I'm testing upgrading from 6.4.2 to 6.5.*.

I can't upgrade the freshly upgraded 6.4.2 to 6.5.2. Always resulting to AuthenticationSupport service missing. Cannot authenticate request.

What I've tested

6.4.0 => 6.4.2 (ok)

6.4.2 => 6.5.1 (ok)

6.4.0 => 6.5.2 (AuthenticationSupport service missing. Cannot authenticate request.)

6.4.2 => 6.5.2 (AuthenticationSupport service missing. Cannot authenticate request.)

Any reason about this?

I've tried running pattern detector as stated in docs and it's all good.

Thanks.

Accepted Solutions (1)

Accepted Solutions (1)

jbrar
Employee
07-10-2019

As I Understand, you are able to successfully upgrade from 6.4.2 => 6.5.1 and the issue is only observed after installing SP2.

Can you log a daycare ticket and share the log files after the installation of SP2?

Answers (5)

Answers (5)

Bharath_valse 07-10-2019

StartupMode is RESTART from upgrade logs, it should be UPGRADE when you unpack the jar. make sure all pre upgrade tasks are completed and quickstart.properties file is generated as mentioned in [0]

[0]

Pre-Upgrade Maintenance Tasks

arpitv27529355 07-10-2019

It may be because of some bundles are not active or the lucene is corrupted.

Possible fix is:

  1. Bring your bundles back to active, if it is not active.
  2. Stop your instance. go to crx-quickstart\repository\index and delete index folder.

Restart the instance (This will regenerate Lucene indexes fully).

And Still if it is not fixed after deleting the index then please recover using oak-run using the below post: Getting an error after restarting the server that "Possible reason is missing Repository service. Ch...

Karl515 06-10-2019

Error logs mostly consist of.

07.10.2019 14:19:34.625 *ERROR* [qtp588035104-4205] org.apache.sling.engine.impl.SlingHttpContext handleSecurity: AuthenticationSupport service missing. Cannot authenticate request.

07.10.2019 14:19:34.625 *ERROR* [qtp588035104-4205] org.apache.sling.engine.impl.SlingHttpContext handleSecurity: Possible reason is missing Repository service. Check AuthenticationSupport dependencies.

07.10.2019 14:27:14.682 *ERROR* [qtp588035104-4206] org.apache.jackrabbit.oak.spi.security.authentication.external.impl.ExternalLoginModule No IDP found with name 0654f74c177ec80b60f7922a9a6195cf. Will not be used for login.

07.10.2019 14:27:14.682 *ERROR* [qtp588035104-4314] org.apache.jackrabbit.oak.spi.security.authentication.external.impl.ExternalLoginModule No IDP found with name 0654f74c177ec80b60f7922a9a6195cf. Will not be used for login.

Upgrade.logs

07.10.2019 13:46:56.095 *INFO* [FelixStartLevel] com.adobe.cq.upgradesexecutor.Activator UPGRADE NOT NEEDED - StartupMode is RESTART

07.10.2019 14:08:48.528 *INFO* [FelixStartLevel] com.adobe.cq.upgrades.cleanup.impl.UpgradeContentCleanup Startup mode is RESTART, nothing to do

07.10.2019 14:08:48.529 *INFO* [FelixStartLevel] com.adobe.cq.upgrades.cleanup.impl.UpgradeContentCleanup Startup mode is RESTART, nothing to do

07.10.2019 14:08:48.529 *INFO* [FelixStartLevel] com.adobe.cq.upgrades.cleanup.impl.UpgradeContentCleanup Startup mode is RESTART, nothing to do

07.10.2019 14:08:48.529 *INFO* [FelixStartLevel] com.adobe.cq.upgrades.cleanup.impl.UpgradeContentCleanup Startup mode is RESTART, nothing to do

07.10.2019 14:08:49.990 *INFO* [Apache Sling Repository Startup Thread] com.adobe.cq.upgrades.backup.impl.UpgradeBackup property /var/upgrade/status/preUpgradeBackup.force does not exist, backup will not be forced

07.10.2019 14:08:49.990 *INFO* [Apache Sling Repository Startup Thread] com.adobe.cq.upgrades.backup.impl.UpgradeBackup Startup mode is RESTART, nothing to do

07.10.2019 14:08:50.580 *INFO* [Apache Sling Repository Startup Thread] com.adobe.cq.upgrades.cleanup.impl.UpgradeGroupMembershipCleanup Startup mode is RESTART, nothing to do